# Uses of Interface
org.apache.sysds.common.Types.FunctionBlock

Packages that use Types.FunctionBlock
Package
Description
org.apache.sysds.common
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram

## Uses of Types.FunctionBlock in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.FunctionBlock
Modifier and Type
Method
Description
`Types.FunctionBlock`
Types.FunctionBlock.`cloneFunctionBlock()`

## Uses of Types.FunctionBlock in org.apache.sysds.parser

Classes in org.apache.sysds.parser with type parameters of type Types.FunctionBlock
Modifier and Type
Class
Description
`class`
`FunctionDictionary<T extends Types.FunctionBlock>`
Dictionary of all functions of a namespace, represented as a simple key-value map of function names and function statement blocks.
Classes in org.apache.sysds.parser that implement Types.FunctionBlock
Modifier and Type
Class
Description
`class`
`FunctionStatementBlock`
Methods in org.apache.sysds.parser that return Types.FunctionBlock
Modifier and Type
Method
Description
`Types.FunctionBlock`
FunctionStatementBlock.`cloneFunctionBlock()`

## Uses of Types.FunctionBlock in org.apache.sysds.runtime.controlprogram

Classes in org.apache.sysds.runtime.controlprogram that implement Types.FunctionBlock
Modifier and Type
Class
Description
`class`
`FunctionProgramBlock`
Methods in org.apache.sysds.runtime.controlprogram that return Types.FunctionBlock
Modifier and Type
Method
Description
`Types.FunctionBlock`
FunctionProgramBlock.`cloneFunctionBlock()`